源站组接口¶
POST 查询源组列表 cdn:domain:list¶
POST /prod-api/cdn/layer7/origin/describeOriginGroups
Body 请求参数
{
"pageNum": 1,
"pageSize": 30,
"filters": [
{
"label": "originGroupName",
"value": ["1_1_1_1"]
}
]
}
请求参数¶
| 名称 | 位置 | 类型 | 必选 | 中文名 | 说明 |
|---|---|---|---|---|---|
| Authorization | header | string | 是 | - | |
| body | body | object | 是 | - | |
| » filters | body | [SearchFilterVo] | 否 | 搜索条件 | - |
| »» SearchFilterVo | body | SearchFilterVo | 否 | SearchFilterVo | - |
| »»» label | body | string | 否 | 参数名 | originGroupName:表示组名; |
| »»» value | body | [string] | 否 | 值 | 数组类型,传入单个值为模糊搜索,多个值为精确搜索 |
| » pageNum | body | integer(int32) | 否 | 当前页数 | - |
| » pageSize | body | integer(int32) | 否 | 每页显示条目个数 | - |
| » searchHeader | body | object | 否 | - |
详细说明¶
»»» label: originGroupName:表示组名; originRecord:表示源站地址
返回示例
200 Response
{"total":2,"rows":[{"originGroupId":1338,"originGroupName":"1_1_1_1","updateTime":"2025-10-17 10:41:03","originRecords":[{"recordId":1493,"record":"1.1.1.1","weight":null}]},{"originGroupId":1340,"originGroupName":"1_1_1_1","updateTime":"2025-10-11 15:07:12","originRecords":[{"recordId":1489,"record":"1.1.1.1","weight":1},{"recordId":1490,"record":"2.2.2.2","weight":3}]}],"code":200,"msg":"成功"}
返回结果¶
| 状态码 | 状态码含义 | 说明 | 数据模型 |
|---|---|---|---|
| 200 | OK | OK | Inline |
| 201 | Created | Created | - |
| 401 | Unauthorized | Unauthorized | - |
| 403 | Forbidden | Forbidden | - |
| 404 | Not Found | Not Found | - |
返回数据结构¶
状态码 200
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| » total | integer | true | - | 总数 | - |
| » rows | [object] | true | - | - | |
| »» originGroupId | integer | true | - | 源组id | - |
| »» originGroupName | string | true | - | 组名 | - |
| »» updateTime | string | true | - | 更新时间 | - |
| »» originRecords | [object] | true | - | 源站信息 | - |
| »»» recordId | integer | true | - | id | - |
| »»» record | string | true | - | 源站地址 | - |
| »»» weight | integer¦null | true | - | 权重 | - |
| » code | integer | true | - | - | |
| » msg | string | true | - | - |
数据模型¶
DescribeOriginGroupsReqVO
{
"country": "string",
"domainId": 0,
"filters": [
{
"label": "string",
"value": ["string"]
}
],
"pageNum": 0,
"pageSize": 0,
"params": {},
"searchHeader": {},
"searchValue": "string",
"tableCul": {
"property1": "string",
"property2": "string"
},
"userId": 0
}
DescribeOriginGroupsReqVO
属性¶
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| country | string | false | - | - | |
| domainId | integer(int64) | false | - | - | |
| filters | [SearchFilterVo] | false | - | 搜索条件 | - |
| pageNum | integer(int32) | false | - | 当前页数 | - |
| pageSize | integer(int32) | false | - | 每页显示条目个数 | - |
| params | object | false | - | - | |
| searchHeader | object | false | - | - | |
| searchValue | string | false | - | - | |
| tableCul | object | false | - | - | |
| » additionalProperties | string | false | - | - | |
| userId | integer(int64) | false | - | - |
SearchFilterVo
SearchFilterVo
属性¶
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| label | string | false | - | 参数名 | originGroupName:表示组名; originRecord:表示源站地址 |
| value | [string] | false | - | 值 | 数组类型,传入单个值为模糊搜索,多个值为精确搜索 |